Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.validation
Interface ClientsideValidationProvider

All Known Implementing Classes:
  LiveValidationProvider

    public interface ClientsideValidationProvider

Provides an interface to a client-side validation mechanism. For HTML forms, this can e.g. be java-script validation.

Version:
  $Id: ClientsideValidationProvider.java,v 1.1 15.09.2007 13:28:28 Rudolf Mayer Exp $
Author:
  Rudolf Mayer

Method Summary
`StringBuffer` | `getClientValidation(boolean validateLive)` Shall return all calls needed for client side validation, e.g. providing some java-script code.
`String[]` | `getNeededJavaScriptFileNames()` Return an array of file names to libraries that shall be included.
`StringBuffer` | `getOnSubmitValidation(boolean validateLive)` Shall provide the calls needed for doing validation on e.g. form submission.
`void` | `initField(String inputName, String formIdentifier, FieldDefinition fieldDefinition, boolean liveValidation)` This method shall initialise the client side validations for the given field.

Method Detail

### initField

    void initField(String inputName,
                   String formIdentifier,
                   FieldDefinition fieldDefinition,
                   boolean liveValidation)

  This method shall initialise the client side validations for the given field. After all fields are initialised, `getClientValidation(boolean)` and `getOnSubmitValidation(boolean)` shall be able to provide their validation mechanism, i.e. by having a java-script code prepared.
  This method is called from the `RecordEditor` and the `FormResponder`.

### getOnSubmitValidation

    StringBuffer getOnSubmitValidation(boolean validateLive)

  Shall provide the calls needed for doing validation on e.g. form submission.

### getClientValidation

    StringBuffer getClientValidation(boolean validateLive)

  Shall return all calls needed for client side validation, e.g. providing some java-script code.

### getNeededJavaScriptFileNames

    String[] getNeededJavaScriptFileNames()

  Return an array of file names to libraries that shall be included. Makumba could check via page analysis `MakumbaJspAnalyzer` if the libraries are already included by the programmer, and add them if needed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20